Skip to main content
POST
Token Revoke

Authorizations

Authorization
string
header
required

Authentication using query parameters

Query Parameters

token
string
required

OAuth 2.0 Access Token or Refresh Token

client_id
string
required

OAuth 2.0 client-ID of the Relying Party

client_secret
string

OAuth 2.0 client secret of the Relying Party. Not needed for public RPs withouot secret.

token_type_hint
string

(Optional) Ignored.

Response

OK

Introspect Response

active
boolean

Is token valid?

Example:

true

scope
string

Scopes for this token, delimited by space

Example:

"openid profile email"

expires_at
string

Expiry time of the acess token in ISO format

Example:

"2085-05-13T23:03:30+0000"

exp
integer

Expiry time of the acess token

Example:

3640633410

sub
string

SubId

Example:

"6cc435f8-2960-4e37-8370-192fc350b552"

user_id
string

The Id of the user for which the token was issued.

Example:

"2345|nxt"

client_id
string

OAuth 2.0 client-ID of the Relying Party.

Example:

"b0949ff1-bad0-4e09-95d1-5215e349d1b8"

token_type
string

The type of the token. (E.g. "Bearer")

Example:

"Bearer"